(kactivities)
(kactivities)
Line 16: Line 16:
  
 
The libraries are co-installable, but the daemon is not.
 
The libraries are co-installable, but the daemon is not.
 +
 +
* libkactivities/qt5 requires kactivitymanagerd/qt5
 +
* libkactivities/qt5 works with both kactivitymanagerd/qt4 and kactivitymanagerd/qt5
  
 
In order to build only the library part of kactivities/qt4, you can pass -DKACTIVITIES_LIBRARY_ONLY=true to cmake. libkactivities/qt4 works with the qt5 version of the daemon.
 
In order to build only the library part of kactivities/qt4, you can pass -DKACTIVITIES_LIBRARY_ONLY=true to cmake. libkactivities/qt4 works with the qt5 version of the daemon.
  
* kactivitymanagerd clashes, seems upstream want it to stay that way https://git.reviewboard.kde.org/r/115602/
+
* link to the original discussion: https://git.reviewboard.kde.org/r/115602/

Revision as of 13:34, 18 September 2014

KDE Frameworks 5 and Plasma 2 co-installability

It should be possible to install a kde frameworks 5 runtime alonside a kdelibs 4 runtime so apps can use either one

Many paths have changed by default so there is no clash

  • kdelibs 4 CONFIG_INSTALL_DIR: /usr/share/config
  • kf5 CONFIG_INSTALL_DIR: /etc/xdg
  • kdelibs 4 DATA_INSTALL_DIR: /usr/share/apps
  • kf5 DATA_INSTALL_DIR: /usr/share

HTML_INSTALL_DIR does clash as /usr/share/doc/HTML to allow khelpcentre to find docs from both kdelibs4 land and kf5 land

Plasma Next coinstallability page

kactivities

The libraries are co-installable, but the daemon is not.

  • libkactivities/qt5 requires kactivitymanagerd/qt5
  • libkactivities/qt5 works with both kactivitymanagerd/qt4 and kactivitymanagerd/qt5

In order to build only the library part of kactivities/qt4, you can pass -DKACTIVITIES_LIBRARY_ONLY=true to cmake. libkactivities/qt4 works with the qt5 version of the daemon.


Content is available under Creative Commons License SA 4.0 unless otherwise noted.